﻿using Connected.Expressions.Languages;
using System.Data;

namespace Connected.Data.Sql;

internal sealed class SqlDataType : DataType
{
	public SqlDataType(SqlDbType dbType, bool notNull, int length, short precision, short scale)
	{
		DbType = dbType;
		NotNull = notNull;
		Length = length;
		Precision = precision;
		Scale = scale;
	}

	public SqlDbType DbType { get; }
}
