﻿using Connected.Net.Hubs;

namespace Connected.Net.Messaging;

public interface IEndpointClient<TArgs>
{
	Task Notify(IMessageAcknowledgeArgs ack, TArgs? args);
	Task Exception(ServerExceptionArgs args);
}
